## org.mortbay.html
Class Input

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Tag
              org.mortbay.html.Input

    public class Input

extends Tag

HTML Form Input Tag.

Version:
  $Id: Input.java,v 1.3 2004/05/09 20:31:28 gregwilkins Exp $
Author:
  Greg Wilkins
See Also:
  `Tag`, `Form`

Field Summary
`static String` `Checkbox`
`static String` `File`
`static String` `Hidden`
`static String` `Image`
`static String` `Password`
`static String` `Radio`
`static String` `Reset`
`static String` `Submit`
`static String` `Text` Input types

Fields inherited from class org.mortbay.html.Tag
`tag`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Input(Image image, String name)`
`Input(Image image, String name, String value)`
`Input(String type, String name)`
`Input(String type, String name, String value)`

Method Summary
`Input` `check()`
`Input` `fixed()`
`Input` `setMaxSize(int size)`
`Input` `setSize(int size)`

Methods inherited from class org.mortbay.html.Tag
`write`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Text

    public static final String Text

  Input types

  See Also:
    Constant Field Values

### Password

    public static final String Password

See Also:
  Constant Field Values

### Checkbox

    public static final String Checkbox

See Also:
  Constant Field Values

### Radio

    public static final String Radio

See Also:
  Constant Field Values

### Submit

    public static final String Submit

See Also:
  Constant Field Values

### Reset

    public static final String Reset

See Also:
  Constant Field Values

### Hidden

    public static final String Hidden

See Also:
  Constant Field Values

### File

    public static final String File

See Also:
  Constant Field Values

### Image

    public static final String Image

See Also:
  Constant Field Values

Constructor Detail

### Input

    public Input(String type,
                 String name)

### Input

    public Input(String type,
                 String name,
                 String value)

### Input

    public Input(Image image,
                 String name,
                 String value)

### Input

    public Input(Image image,
                 String name)

Method Detail

### check

    public Input check()

### setSize

    public Input setSize(int size)

### setMaxSize

    public Input setMaxSize(int size)

### fixed

    public Input fixed()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.